Home | All Classes | Grouped Classes | Index | Search

# CL_DomNode::is_same_node

Returns whether this node is the same node as the given one.

    	bool is_same_node(
    		const CL_DomNode& other);

Parameters:

other
  The node to test against.

Detailed description:

This method provides a way to determine whether two Node references returned by the implementation reference the same object. When two Node references are references to the same object, even if through a proxy, the references may be used completely interchangeably, such that all attributes have the same values and calling the same DOM method on either reference always has exactly the same effect.

See also:

CL_DomNode

Questions or comments, write to the ClanLib mailing list.